<?php
require_once 'vendor/autoload.php';

use DeviceDetector\DeviceDetector;
use DeviceDetector\Parser\Device\DeviceParserAbstract;

// تعطيل تقليص رقم الإصدار للحصول على تفاصيل أدق
DeviceParserAbstract::setVersionTruncation(DeviceParserAbstract::VERSION_TRUNCATION_NONE);

$userAgent = $_SERVER['HTTP_USER_AGENT'];
$dd = new DeviceDetector($userAgent);
$dd->parse();

if ($dd->isBot()) {
    $result = ['error' => 'Bot detected'];
} else {
    $result = [
        'device'    => $dd->getDeviceName(), // نوع الجهاز: mobile, desktop, tablet, ..
        'brand'     => $dd->getBrandName(),  // الماركة مثل Samsung, Apple، الخ.
        'model'     => $dd->getModel(),      // اسم الطراز مثل Galaxy S21, iPhone 13، الخ.
        'os'        => $dd->getOs(),         // نظام التشغيل
        'client'    => $dd->getClient()      // متصفح أو تطبيق العميل
    ];
}

header('Content-Type: application/json');
echo json_encode($result);
